%define ver_major 2.20

Name: gnome-keyring-manager
Version: %ver_major.0
Release: alt1

Summary: Keyring management program for the GNOME Desktop
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org/

Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

# From configure.ac
%define gtk_ver 2.6.0
%define libgnomeui_ver 2.6.0
%define keyring_ver 0.3.2
%define libglade_ver 2.0.0

PreReq: GConf2
Requires: libgtk+2 >= %gtk_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libgnome-keyring >= %keyring_ver
Requires: libglade >= %libglade_ver
Requires(post,postun): scrollkeeper

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgnome-keyring-devel >= %keyring_ver
BuildPreReq: libglade-devel >= %libglade_ver
BuildPreReq: gnome-doc-utils >= 0.3.2
BuildPreReq: GConf

# Automatically added by buildreq on Fri Jul 06 2007
BuildRequires: gcc-c++ gnome-doc-utils-xslt imake libavahi-glib libdbus-glib libgnomeui-devel libSM-devel perl-XML-Parser scrollkeeper xorg-cf-files

%description
This a keyring management program for the GNOME Desktop

%define _sklocalstatedir %_localstatedir/scrollkeeper

%prep
%setup -q

%build
%configure --disable-schemas-install

%make_build

%install
export OMF_DIR=%buildroot%_sklocalstatedir
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall _sklocalstatedir=%buildroot%_sklocalstatedir
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
unset OMF_DIR

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi
%clean_scrollkeeper

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%dir %_datadir/%name
%_datadir/%name/%name-ui.xml
%_datadir/%name/%name.glade
%_datadir/%name/*.png
%_man1dir/%name.*
%config %_sysconfdir/gconf/schemas/*

%exclude %_localstatedir/scrollkeeper

%changelog
* Sat Oct 13 2007 Alexey Shabalin <shaba@altlinux.ru> 2.20.0-alt1
- 2.20.0
- fix packaging for scrollkeeper (requires, post, preun)

* Fri Jul 06 2007 Igor Zubkov <icesik@altlinux.org> 2.18.0-alt1
- 2.14.0 -> 2.18.0
- update buildrequires
- add packager tag

* Fri Jul 06 2007 Igor Zubkov <icesik@altlinux.org> 2.14.0-alt2
- fix (re)build

* Mon Apr 03 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version (2.14.0)
- cleaned up the spec
- removed Debian menu support
- updated dependencies

* Thu Mar 17 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.0.4-alt1
- First build for Sisyphus.
